   %esLang=();
   %enLang=();
   &read_file("$root_directory/$module_name/lang/en", \%enLang);
   &read_file("$root_directory/$module_name/lang/es", \%esLang);
   open(WLANG, ">$root_directory/$module_name/lang/EN");
   open(FLANG, "$root_directory/$module_name/lang/es");
   while(<FLANG>) {
      s/\r|\n//g;
      if (/\S/ && !/^[#\+\-]/) {
         @line=split(/=/, $_, -1);
         $k=$line[0];
         if ( $enLang{$k} && $enLang{$k} ne ""  ) {
              print WLANG "$k=$enLang{$k}\n";
         } else {
              print WLANG "$k=$esLang{$k}\n";
         }
      } else {
              print WLANG "$_\n";
      }
   }
   close(FLANG);
   close(WLANG);
